# About the API

## API formats

The Coevera API endpoints are documented in [**REST API** ](https://pipeliner.stoplight.io/docs/api-docs)or [**GraphQL API**](http://pipeliner-api-doc.s3-website-eu-west-1.amazonaws.com/latest/graphql/space/index.html) reference.

### Download API endpoints

You can download the Rest API JSON in Open Api 3.0.0 format and import it to the tools like [**Postman**](https://www.postman.com/)**,** [**Insomnia**](https://insomnia.rest/). In case you are using GraphQL, you can import GraphQL Schema to the [**Insomnia**](https://insomnia.rest/) as well

**Rest API download:** [**openapi.json**](http://pipeliner-api-doc.s3-website-eu-west-1.amazonaws.com/latest/rest/space/openapi.json)

**GraphQL Schema download:** [**GraphQL.json**](https://crm.pipelinersales.com/api/v100/app/graphql/schema.json)

## API URL Syntax

For Rest API or GraphQL API the URL Syntax stays the same

**Rest API BaseURL Format**

```
https://us-east.coevera.com/api/v100/rest/spaces/<space_id>/..
```

![](/files/7Z1I2KHFZNholuqOF5uw)

**GraphQL API BaseURL Format**

```
https://<SERVICE_URL>/api/v100/app/space/<SPACE_ID>/graphql/public
```

\
The BaseURL is divided into the following three sections:

#### **Service URL**

The Service URL of Coevera APIs is generated dynamically at the time of creating an application. This usually depends on the geographical area where the space is located. For the Service URL, you need to have an active [**API application**](/api-docs/overview/authentication.md)**.**

#### **Space and Space ID**

Space ID is the identifier of the space where you are trying to connect. Space ID can be found in the process of obtaining [**API Access**](/api-docs/overview/authentication.md)**.**

#### **Endpoints**

Endpoints are the API methods combined with the corresponding entity. <br>

**Example of final BaseURL**

```
https://us-east.coevera.com/api/v100/rest/spaces/nv1_example_space
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.pipelinersales.com/api-docs/overview/about-the-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
